% test Spherical directional plots of Kent distribution
load 'bigloc.asc' -ascii

[bigloc,b]=rfb_ld(bigloc,10,40);	% extract the F-B confusion errors
orient landscape
clf;

subplot(2, 2, 1);
akent(bigloc, -90, 90, -90, 90, [0 0], 1, '(a) Front');

subplot(2, 2, 2);
akent(bigloc, -180, -90, -90, 90, [-180 0], 1, '');
akent(bigloc, 90, 180, -90, 90, [-180 0], 0, '(b) Back');

subplot(2, 2, 3);
akent(bigloc, -180, 0, -90, 90, [-90 0], 1, '(c) Left');

subplot(2, 2, 4);
akent(bigloc, 0, 180, -90, 90, [90 0], 1, '(d) Right');
